import Consumer from '../src/consumer'
import btc from 'better-try-catch'

// const client1= new Consumer({name:'example-consumer1' })
const client= new Consumer({path:true, name:'example-consumer', initTimeout:30 })

let packet = {name: 'client', cmd:'doit', data:'sent by client'}

// This is your client handler object waiting on a message to do something
const process = function (packet) {
  console.log(`Packet from ${packet.name} Processed by Socket: ${packet.status}`)
}

client.registerPacketProcessor(process)

;
(async () => {

  // await Promise.all([client1.connect(),client2.connect()])
  let [err, res] = await btc(client.connect)()
  if (err) {
    console.log('error', err)
  } else {
    console.log('connect reponse',res)
    console.log('sending packet ', packet)
    console.log('=========\n',await client.send(packet))
  }

})().catch(err => {
  console.error('FATAL: UNABLE TO START SYSTEM!\n',err)
})
